Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 613419 - SELinux is preventing /usr/sbin/abrtd "read" access on resolv.conf.
SELinux is preventing /usr/sbin/abrtd "read" access on resolv.conf.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:b0fc10f945c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-11 08:53 EDT by Hicham HAOUARI
Modified: 2010-07-12 06:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 06:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hicham HAOUARI 2010-07-11 08:53:07 EDT
Summary:

SELinux is preventing /usr/sbin/abrtd "read" access on resolv.conf.

Detailed Description:

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:pppd_var_run_t:s0
Target Objects                resolv.conf [ file ]
Source                        abrtd
Source Path                   /usr/sbin/abrtd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-1.1.0-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-10.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.35-0.31.rc4.git4.fc14.i686 #1 SMP Fri Jul 9
                              01:25:41 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Sun 11 Jul 2010 01:08:19 PM WEST
Last Seen                     Sun 11 Jul 2010 01:52:07 PM WEST
Local ID                      51fa89a0-952d-45bd-8ca6-a6f6f91e9a72
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278852727.686:18871): avc:  denied  { read } for  pid=1142 comm="abrtd" name="resolv.conf" dev=sda1 ino=8623 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:pppd_var_run_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1278852727.686:18871): arch=40000003 syscall=5 success=no exit=-13 a0=c384ce a1=0 a2=1b6 a3=c3672b items=0 ppid=1 pid=1142 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,abrtd,abrt_t,pppd_var_run_t,file,read
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t pppd_var_run_t:file read;
Comment 1 Miroslav Grepl 2010-07-12 06:34:44 EDT
/etc/resolv.conf is mislabeled.

restorecon -v /etc/resolv.conf

Note You need to log in before you can comment on or make changes to this bug.